Bug 1443314 (CVE-2017-5444)

Summary: CVE-2017-5444 Mozilla: Buffer overflow while parsing application/http-index-format content (MFSA 2017-11, MFSA 2017-12)
Product: [Other] Security Response Reporter: Huzaifa S. Sidhpurwala <huzaifas>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: cschalle, jhorak, security-response-team, stransky
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-05-12 05:59:38 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1437814    

Description Huzaifa S. Sidhpurwala 2017-04-19 05:56:10 UTC
A buffer overflow vulnerability while parsing <code>application/http-index-format</code> format content when the header contains improperly formatted data. This allows for an out-of-bounds read of data from memory.


External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2017-11/#CVE-2017-5444


Acknowledgements:

Name: the Mozilla project
Upstream: Chamal De Silva

Comment 1 errata-xmlrpc 2017-04-20 08:23:00 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2017:1104 https://access.redhat.com/errata/RHSA-2017:1104

Comment 2 errata-xmlrpc 2017-04-21 00:51:21 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:1106 https://access.redhat.com/errata/RHSA-2017:1106

Comment 3 errata-xmlrpc 2017-05-08 06:48:00 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:1201 https://access.redhat.com/errata/RHSA-2017:1201